Databases
cancel
Showing results for 
Search instead for 
Did you mean: 

Error while installing Oracle on HP-UX Virtual Machine.

Gaby1110
Frequent Advisor

Error while installing Oracle on HP-UX Virtual Machine.

Hi,

Could you please help in resolving this issue on HP-UX Virtual machines (VSE11.31) hosted on rx6600 HP-UX Server running 11.31 OS Version, while trying to do the oracle installation, I am getting the below error



########################################################################################################

appcrmdv $ ./runInstaller –ignoreSysPrereqs



Starting Oracle Universal Installer...



Checking installer requirements...



Checking operating system version: must be B.11.23. Actual B.11.31

Failed <<<<





>>> Ignoring required pre-requisite failures. Continuing...



Preparing to launch Oracle Universal Installer from /tmp/OraInstall2009-11-11_05-50-20AM. Please wait ...appcrmdv vfihv15 $ Oracle Universal Installer, Version 10.2.0.1.0 Production

Copyright (C) 1999, 2005, Oracle. All rights reserved.



Exception java.lang.UnsatisfiedLinkError: /opt/java1.5/jre/lib/IA64N/libawt.so: Unsatisfied code symbol 'j2d_mlib_ImageConvKernelConvert' in load module '/opt/java1.5/jre/lib/IA64N/libawt.so'. occurred..

java.lang.UnsatisfiedLinkError: /opt/java1.5/jre/lib/IA64N/libawt.so: Unsatisfied code symbol 'j2d_mlib_ImageConvKernelConvert' in load module '/opt/java1.5/jre/lib/IA64N/libawt.so'.



at java.lang.ClassLoader$NativeLibrary.load(Native Method)

at java.lang.ClassLoader.loadLibrary0(ClassLoader.java:1776)

at java.lang.ClassLoader.loadLibrary(ClassLoader.java:1668)

at java.lang.Runtime.loadLibrary0(Runtime.java:822)

at java.lang.System.loadLibrary(System.java:993)

at sun.security.action.LoadLibraryAction.run(LoadLibraryAction.java:50)

at java.security.AccessController.doPrivileged(Native Method)

at sun.awt.NativeLibLoader.loadLibraries(NativeLibLoader.java:43)

at sun.awt.DebugHelper.(DebugHelper.java:29)

at java.awt.Component.(Component.java:592)

at oracle.sysman.oii.oiif.oiifm.OiifmGraphicInterfaceManager.(OiifmGraphicInterfaceManager.java:222)

at oracle.sysman.oii.oiic.OiicSessionInterfaceManager.createInterfaceManager(OiicSessionInterfaceManager.java:193)

at oracle.sysman.oii.oiic.OiicSessionInterfaceManager.getInterfaceManager(OiicSessionInterfaceManager.java:202)

at oracle.sysman.oii.oiic.OiicInstaller.getInterfaceManager(OiicInstaller.java:436)

at oracle.sysman.oii.oiic.OiicInstaller.runInstaller(OiicInstaller.java:926)

at oracle.sysman.oii.oiic.OiicInstaller.main(OiicInstaller.java:866)

Exception in thread "main" java.lang.NoClassDefFoundError

at oracle.sysman.oii.oiif.oiifm.OiifmGraphicInterfaceManager.(OiifmGraphicInterfaceManager.java:222)

at oracle.sysman.oii.oiic.OiicSessionInterfaceManager.createInterfaceManager(OiicSessionInterfaceManager.java:193)

at oracle.sysman.oii.oiic.OiicSessionInterfaceManager.getInterfaceManager(OiicSessionInterfaceManager.java:202)

at oracle.sysman.oii.oiif.oiifm.OiifmAlert.(OiifmAlert.java:151)

at oracle.sysman.oii.oiic.OiicInstaller.runInstaller(OiicInstaller.java:984)

at oracle.sysman.oii.oiic.OiicInstaller.main(OiicInstaller.java:866)



appcrmdv $

appcrmdv $

Thanks....
Gaby
5 REPLIES

Re: Error while installing Oracle on HP-UX Virtual Machine.

Well there seems to be a clue:
Checking operating system version: must be B.11.23. Actual B.11.31

Contact Oracle
My house is the bank's, my money the wife's, But my opinions belong to me, not HP!
Gaby1110
Frequent Advisor

Re: Error while installing Oracle on HP-UX Virtual Machine.

Thanks Melvyn,

We have tried the below options...

------
1- Opened /u00/oracle/database/install/oraparam.ini file and replace 11.23 with 11.31.

2-
Upgraded the Java version with Sep 09 version (1.5.0.17)

Now we are getting the below error message...
appcrmdv $ ./runInstaller

Starting Oracle Universal Installer...



Checking installer requirements...



Checking operating system version: must be B.11.31. Actual B.11.31

Passed





All installer requirements met.



Preparing to launch Oracle Universal Installer from /tmp/OraInstall2009-11-11_10-52-08PM. Please wait ...appcrmdv vfihv15 $ Exception in thread "main" java.lang.UnsatisfiedLinkError: /opt/java1.5/jre/lib/IA64N/libawt.so: Unsatisfied code symbol 'j2d_mlib_ImageConvKernelConvert' in load module '/opt/java1.5/jre/lib/IA64N/libawt.so'.

at java.lang.ClassLoader$NativeLibrary.load(Native Method)

at java.lang.ClassLoader.loadLibrary0(ClassLoader.java:1776)

at java.lang.ClassLoader.loadLibrary(ClassLoader.java:1668)

at java.lang.Runtime.loadLibrary0(Runtime.java:822)

at java.lang.System.loadLibrary(System.java:993)

at sun.security.action.LoadLibraryAction.run(LoadLibraryAction.java:50)

at java.security.AccessController.doPrivileged(Native Method)

at sun.awt.NativeLibLoader.loadLibraries(NativeLibLoader.java:43)

at sun.awt.DebugHelper.(DebugHelper.java:29)

at java.awt.Component.(Component.java:592)

appcrmdv $

Please help....
Thanks.....
Gaby
Volker Borowski
Honored Contributor

Re: Error while installing Oracle on HP-UX Virtual Machine.

What version of Oracle are you installing?

If 10.2, it might be that it requires Java 1.4.2 and does not run with 1.5 ?!?

Do not know about 11g.

Volker
Michael Steele_2
Honored Contributor

Re: Error while installing Oracle on HP-UX Virtual Machine.

Yeah that's a big clue...

Checking operating system version: must be B.11.23. Actual B.11.31

Failed <<<<


...and probably beyond the expertiese of this forum since its Oracle.

Oracle taking a couple of days to return calls or something?
Support Fatherhood - Stop Family Law
Hein van den Heuvel
Honored Contributor

Re: Error while installing Oracle on HP-UX Virtual Machine.

Gaby,

Seems to me you are installing too old an Oracle version for this OS version.
Get ahold of 10.2.0.4 ! (Or 10.2.0.2 if desperate).

Check out the verious notes on the Oracle Support site.
Notably follow: Oracle - Support - Certification ...

I hope your application is not in the nuclear missile launching area. Just editing out an installation prequisite test does not 'fix' anything, you surely realize that right?!
I suspect the warning to be benign... but check as per above. And do take the message to your management as in "Hey, I can do this, but it's wrong". And leave the message for the logs! So much clearer.

I search the Oracle support site for : j2d_mlib_ImageConvKernelConvert

It hits an article which appears to be relevant.
The article points out that the reporter java module is ( the same as yours: '/opt/java1.5/jre/lib/IA64N/libawt.so' ) is outside the Oracle structures.
It advises...

"
The path listed for this java is not from the Database ORACLE_HOME.

Solution

To implement the solution, please execute the following steps:

1. Check the environment set for the DB Control:

Use one of the following commands:
Unix: env
Windows: set

2. Check the output for the environment variables like : JAVA_HOME, JRE_HOME, or similar

3. If these variables are set, unset them.
4. Check the output from step 1 again for the PATH. The PATH variable should not contain any paths for other java versions. If the PATH includes java paths, reset the PATH to not include the java in the PATH."
:
try again


Good luck!
Hein